Webhooks
List webhooks
List your organization’s webhooks, newest first, without their signing secrets.
GET
/
api
/
v2
/
webhooks
from hai_agents import Client
client = Client()
page = client.webhooks.list_webhooks()
for webhook in page.items:
print(webhook.id, webhook.url)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const page = await client.webhooks.listWebhooks();
for (const webhook of page.items) {
console.log(webhook.id, webhook.url);
}
curl "https://agp.eu.hcompany.ai/api/v2/webhooks" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"items": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"url": "https://example.com/hooks/h",
"enabled_events": ["session.status_updated"],
"description": "Production listener",
"disabled": false,
"last_delivery_status": "succeeded",
"last_delivery_error": null,
"last_delivery_at": "2026-07-03T08:30:00Z",
"last_success_at": "2026-07-03T08:30:00Z",
"consecutive_failures": 0,
"created_at": "2026-06-11T15:04:05Z",
"updated_at": "2026-06-11T15:04:05Z"
}
],
"page": 1,
"total": 1
}
Query parameters
integer
default:"1"
Page number (1-based).
integer
default:"10"
Items per page. Maximum:
1000.string
default:"-created_at"
Sort order. Options:
created_at, -created_at.Response
200 with a page envelope of webhook objects.
from hai_agents import Client
client = Client()
page = client.webhooks.list_webhooks()
for webhook in page.items:
print(webhook.id, webhook.url)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const page = await client.webhooks.listWebhooks();
for (const webhook of page.items) {
console.log(webhook.id, webhook.url);
}
curl "https://agp.eu.hcompany.ai/api/v2/webhooks" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"items": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"url": "https://example.com/hooks/h",
"enabled_events": ["session.status_updated"],
"description": "Production listener",
"disabled": false,
"last_delivery_status": "succeeded",
"last_delivery_error": null,
"last_delivery_at": "2026-07-03T08:30:00Z",
"last_success_at": "2026-07-03T08:30:00Z",
"consecutive_failures": 0,
"created_at": "2026-06-11T15:04:05Z",
"updated_at": "2026-06-11T15:04:05Z"
}
],
"page": 1,
"total": 1
}
Was this page helpful?
⌘I
from hai_agents import Client
client = Client()
page = client.webhooks.list_webhooks()
for webhook in page.items:
print(webhook.id, webhook.url)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const page = await client.webhooks.listWebhooks();
for (const webhook of page.items) {
console.log(webhook.id, webhook.url);
}
curl "https://agp.eu.hcompany.ai/api/v2/webhooks" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"items": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"url": "https://example.com/hooks/h",
"enabled_events": ["session.status_updated"],
"description": "Production listener",
"disabled": false,
"last_delivery_status": "succeeded",
"last_delivery_error": null,
"last_delivery_at": "2026-07-03T08:30:00Z",
"last_success_at": "2026-07-03T08:30:00Z",
"consecutive_failures": 0,
"created_at": "2026-06-11T15:04:05Z",
"updated_at": "2026-06-11T15:04:05Z"
}
],
"page": 1,
"total": 1
}